From: David Ahern <daahern@cisco.com>
To: qemu-devel@nongnu.org
Cc: David Ahern <daahern@cisco.com>
Subject: [Qemu-devel] [PATCH 1/8] fix 'no such file' error from make_device_config.sh
Date: Wed, 12 Jan 2011 23:34:30 -0700 [thread overview]
Message-ID: <1294900477-23722-2-git-send-email-daahern@cisco.com> (raw)
In-Reply-To: <1294900477-23722-1-git-send-email-daahern@cisco.com>
make_device_config currently emits an error:
make config-all-devices.mak
GEN x86_64-softmmu/config-devices.mak
/home/dsa/kvm/releases/qemu.git/make_device_config.sh: line 21: /home/dsa/kvm/releases/qemu.git/default-configs/pci.mak : No such file or directory
/bin/sh does not like the file redirection for tr so change it to cat.
Signed-off-by: David Ahern <daahern@cisco.com>
---
make_device_config.sh | 2 +-
1 files changed, 1 insertions(+), 1 deletions(-)
diff --git a/make_device_config.sh b/make_device_config.sh
index 596fc5b..1ce4088 100644
--- a/make_device_config.sh
+++ b/make_device_config.sh
@@ -18,7 +18,7 @@ process_includes () {
f=$src
while [ -n "$f" ] ; do
- f=`tr -d '\r' < $f | awk '/^include / {ORS=" "; print "'$src_dir'/" $2}'`
+ f=`cat $f | tr -d '\r' | awk '/^include / {ORS=" "; print "'$src_dir'/" $2}'`
[ $? = 0 ] || exit 1
all_includes="$all_includes $f"
done
--
1.7.3.4
next prev parent reply other threads:[~2011-01-13 6:34 UTC|newest]
Thread overview: 24+ messages / expand[flat|nested] mbox.gz Atom feed top
2011-01-13 6:34 [Qemu-devel] [PATCH 0/8] misc cleanups for x86_64 disabling config settings David Ahern
2011-01-13 6:34 ` David Ahern [this message]
2011-01-13 13:43 ` [Qemu-devel] [PATCH 1/8] fix 'no such file' error from make_device_config.sh Markus Armbruster
2011-01-13 14:40 ` David Ahern
2011-01-14 10:34 ` Markus Armbruster
2011-01-14 15:13 ` David Ahern
2011-01-14 19:57 ` Stefan Weil
2011-01-14 22:01 ` Blue Swirl
2011-01-13 6:34 ` [Qemu-devel] [PATCH 2/8] x86_64 config: fix compile for CONFIG_VMWARE_VGA=n David Ahern
2011-01-13 6:34 ` [Qemu-devel] [PATCH 3/8] x86_64 config: fix compile for CONFIG_PARALLEL=n David Ahern
2011-01-13 6:34 ` [Qemu-devel] [PATCH 4/8] remove unused parallel_* variables from pc.c David Ahern
2011-01-13 6:34 ` [Qemu-devel] [PATCH 5/8] x86_64 config: fix compile for CONFIG_NE2000_ISA=n David Ahern
2011-01-13 6:34 ` [Qemu-devel] [PATCH 6/8] x86_64 config: fix compile for CONFIG_VGA_ISA=n David Ahern
2011-01-13 17:02 ` [Qemu-devel] " Paolo Bonzini
2011-01-13 17:28 ` David Ahern
2011-01-14 7:31 ` Paolo Bonzini
2011-01-14 17:49 ` David Ahern
2011-01-13 6:34 ` [Qemu-devel] [PATCH 7/8] x86_64 config: fix compile for CONFIG_IDE_ISA=n David Ahern
2011-01-13 6:34 ` [Qemu-devel] [PATCH 8/8] x86_64 config: fix compile for CONFIG_FDC=n David Ahern
2011-01-13 17:04 ` [Qemu-devel] " Paolo Bonzini
2011-01-13 17:25 ` David Ahern
2011-01-13 9:57 ` [Qemu-devel] [PATCH 0/8] misc cleanups for x86_64 disabling config settings Isaku Yamahata
2011-01-13 14:30 ` David Ahern
2011-01-13 17:06 ` [Qemu-devel] " Paolo Bonzini
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1294900477-23722-2-git-send-email-daahern@cisco.com \
--to=daahern@cisco.com \
--cc=qemu-devel@nongnu.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.